Skip to main content
GET
/
v1
/
wallets
/
{address}
/
nft-positions
Get wallet NFT positions
curl --request GET \
  --url https://api.zerion.io/v1/wallets/{address}/nft-positions/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "links": {
    "self": "https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/nft-positions/"
  },
  "data": [
    {
      "type": "nft_positions",
      "id": "0x42b9df65b219b3dd36ff330a4dd8f327a6ada990:ethereum:22:0x909899c5dbb5002610dd8543b6f638be56e3b17e:57896044618658097711785492504343953928676686534345912800509039648547174119787",
      "attributes": {
        "changed_at": "2023-02-28T19:24:39Z",
        "amount": "1",
        "price": 0.043615722,
        "value": 123,
        "nft_info": {
          "contract_address": "0x74ee68a33f6c9f113e22b3b77418b75f85d07d22",
          "token_id": "10",
          "name": "#10 De·genesis",
          "interface": "erc1155",
          "flags": {
            "is_spam": true
          },
          "content": {
            "preview": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            },
            "detail": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            },
            "audio": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            },
            "video": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            }
          }
        },
        "collection_info": {
          "name": "<string>",
          "description": "<string>",
          "content": {
            "icon": {
              "url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
            },
            "banner": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            }
          }
        }
      },
      "relationships": {
        "chain": {
          "links": {
            "related": "https://api.zerion.io/v1/chains/polygon"
          },
          "data": {
            "type": "chains",
            "id": "polygon"
          }
        },
        "nft_collection": {
          "data": {
            "type": "nft_collections",
            "id": 14
          }
        },
        "nft": {
          "data": {
            "type": "nfts",
            "id": "<string>"
          }
        }
      },
      "included": [
        {
          "type": "nfts",
          "id": "<string>",
          "attributes": {
            "contract_address": "0x74ee68a33f6c9f113e22b3b77418b75f85d07d22",
            "token_id": "10",
            "interface": "erc1155",
            "metadata": {
              "name": "<string>",
              "description": "<string>",
              "tags": [
                "<string>"
              ],
              "content": {
                "preview": {
                  "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
                  "content_type": "image/png"
                },
                "detail": {
                  "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
                  "content_type": "image/png"
                },
                "audio": {
                  "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
                  "content_type": "image/png"
                },
                "video": {
                  "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
                  "content_type": "image/png"
                }
              },
              "attributes": [
                {
                  "key": "Rarity",
                  "value": "common"
                }
              ]
            },
            "market_data": {
              "prices": {
                "floor": 123
              },
              "last_sale": {
                "price": 31,
                "quantity": {
                  "int": "12345678",
                  "decimals": 5,
                  "float": 123.45678,
                  "numeric": "123.45678"
                }
              }
            },
            "external_links": [
              {
                "url": "https://www.indexcoop.com",
                "type": "website",
                "name": "Website"
              }
            ],
            "flags": {
              "is_spam": true
            }
          },
          "relationships": {
            "chain": {
              "links": {
                "related": "https://api.zerion.io/v1/chains/polygon"
              },
              "data": {
                "type": "chains",
                "id": "polygon"
              }
            },
            "nft_collection": {
              "data": {
                "type": "nft_collections",
                "id": 14
              }
            }
          }
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Env
enum<string>

Custom header that allows you to get data for testnets.

Available options:
testnet

Path Parameters

address
required

The web3 wallet address A wallet address, which can be either an EVM or Solana address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x42b9df65b219b3dd36ff330a4dd8f327a6ada990"

Query Parameters

filter[chain_ids]
string[]

Keep only positions from the specified chains (comma-separated list). Available chains IDs can be found in chains endpoint.

Maximum array length: 25
Example:
["ethereum", "polygon"]
filter[collections_ids]
integer<int64>[]

Keep only positions from collections with specified IDs (comma-separated list). The IDs are returned inside the 'collection' field of each NFT.

sort
enum<string>

The order of NFTs in the result.

Available options:
created_at,
-created_at,
floor_price,
-floor_price
Example:

"-floor_price"

include
enum<string>[]

Array of related resources to be included to the response (comma-separated list). This parameter corresponds to the JSON API schema.

Available options:
nfts,
nft_collections,
wallet_nft_collections
currency
enum<string>
default:usd

Denominated currency value of returned prices

Available options:
eth,
btc,
usd,
eur,
krw,
rub,
gbp,
aud,
cad,
inr,
jpy,
nzd,
try,
zar,
cny,
chf
page
object

Pagination parameters

Response

Response for requested list of NFT positions.

data
object[]
required